%global    fontname    hiran-perizia
%global    fontconf    60-%{fontname}.conf

Name:        %{fontname}-fonts
Version:    0.1.0
Release:    10%{?dist}
Summary:    English asymmetric font

License:    GPLv3+ with exceptions
# alas! returns a 404 : http://hiran.in/fontprojects
URL:        http://hiran.in/blog/thanks-perizia-is-now-a-font
Source0:    http://hiran.in/content/fonts/perizia/src/perizia010.sfd
Source1:    %{name}-fontconfig.conf
Source2:    GPL-3.0.txt
Source3:    %{fontname}.metainfo.xml

BuildArch:    noarch
BuildRequires:    fontforge,fontpackages-devel
Requires:    fontpackages-filesystem

%description
perizia is an asymmetric English font.

%prep
%setup -c -T
install -m 644 -p %{SOURCE2} .

%build
fontforge -lang=ff -script "-" %{SOURCE0} <<EOF
i = 1 
while ( i < \$argc )
  Open (\$argv[i], 1)
  Generate (\$fontname + ".ttf")
  PrintSetup (5) 
  PrintFont (0, 0, "", \$fontname + "-sample.pdf")
  Close()
  i++ 
endloop
EOF

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
%{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE3} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.ttf
%doc *.pdf
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Dec 12 2014 Richard Hughes <richard@hughsie.com> - 0.1.0-8
- Fix the MetaInfo file to actually validate.

* Sat Oct 18 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.1.0-7
- Add metainfo file to show this font in gnome-software

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu May 26 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.0-1
- Corrected fontconfig file
- Corrected name
- Corrected version
- Corrected prep section
- Corrected license
- Corrected files section

* Thu Mar 31 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 20081017-2
- Updated spec : Added foundry name and corrected URL
- #457709

* Mon Mar 14 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 20081017-1
- initial rpm build
